# The Red Matrix: RedBrowser Class Reference

All Classes Namespaces Files Functions Variables Pages
RedBrowser Class Reference
Inheritance diagram for RedBrowser:

## Public Member Functions

| __construct (&$auth)
| set_writeable ()
| generateDirectoryIndex ($path)
| htmlActionsPanel (DAV\INode $node, &$output)

## Private Attributes

| $auth

## Constructor & Destructor Documentation

RedBrowser::__construct | ( | & | $auth | ) |

## Member Function Documentation

RedBrowser::generateDirectoryIndex | ( |  | $path | ) |

RedBrowser::htmlActionsPanel | ( | DAV\INode | $node,
|  | & | $output
| ) |  |

RedBrowser::set_writeable | ( |  | ) |

## Member Data Documentation

RedBrowser::$auth

private

Referenced by __construct().

The documentation for this class was generated from the following file:

- include/reddav.php